import { OnInit } from '@angular/core';
import { Currency } from '@colijnit/mainapi/build/model/currency.bo';
import { TransactionFilterPopupHeaderBaseComponent } from '../core/base/transaction-filter-popup-header-base.component';
export declare class TransactionHeaderCurrencyComponent extends TransactionFilterPopupHeaderBaseComponent<Currency> implements OnInit {
    fields: Object;
    currencyModel: Currency;
    ngOnInit(): void;
    commitTransactionCurrency(currency: Currency): Promise<boolean>;
    protected transactionInfoSet(): void;
    private _setCurrencyModel;
}
